--
-- Patch DDL de SCO_SCOLARITE du 14/11/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 1
-- Type : DDL
-- Schema : SCO_SCOLARITE
-- Numero de version : 1.2.0.0
-- Date de publication : 14/11/2013
-- Auteur(s) : Julien Lafourcade

-- Licence : CeCILL version 2
--
--

WHENEVER SQLERROR EXIT SQL.SQLCODE;



----------------------------V20130730.154605__DDL_Debut_schema_carvi.sql----------------------------
CREATE TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE
  (
    ID_INSCRIPTION_PEDA      NUMBER (38) NOT NULL ,
    ID_INSCRIPTION           NUMBER (38) NOT NULL ,
    ID_COMPOSANT             NUMBER (38) NOT NULL ,
    ID_TYPE_INSCRIPTION_PEDA NUMBER (38) NOT NULL ,
    PERS_ID_CREATION         NUMBER (38) NOT NULL ,
    PERS_ID_MODIFICATION     NUMBER (38) NOT NULL ,
    D_CREATION               DATE NOT NULL ,
    D_MODIFICATION           DATE NOT NULL
  )
  LOGGING ;
COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.ID_INSCRIPTION_PEDA
IS
  'Clef primaire de la table' ;
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.ID_INSCRIPTION
IS
  'Clef étrangère vers INSCRIPTION' ;
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.ID_COMPOSANT
IS
  'Clef étrangère vers COMPOSANT' ;
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.ID_TYPE_INSCRIPTION_PEDA
IS
  'Clef étrangères vers TYPE_INSCRIPTION_PEDA' ;
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.PERS_ID_CREATION
IS
  'Pers_id de la personne à l''origine de la création de l''enregistrement' ;
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.PERS_ID_MODIFICATION
IS
  'Pers_id de la personne à l''origine de la modification de l''enregistrement' ;
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.D_CREATION
IS
  'Date de creation de l''enregistrement.' ;
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.D_MODIFICATION
IS
  'Date de la derniere modification de l''enregistrement.' ;
  ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ADD CONSTRAINT PK_INSCRIPTION_PEDAGOGIQUE PRIMARY KEY
  (
    ID_INSCRIPTION_PEDA
  )
  ;
  ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ADD CONSTRAINT UNIQ_INSCRIPTION_PEDAGOGIQUE UNIQUE
  (
    ID_COMPOSANT , ID_INSCRIPTION
  )
  ;

CREATE SEQUENCE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE_SEQ START WITH 1;


CREATE TABLE SCO_SCOLARITE.NOTE
  (
    ID_NOTE              NUMBER (38) NOT NULL ,
    ID_INSCRIPTION_PEDA  NUMBER (38) NOT NULL ,
    ID_TYPE_NOTE         NUMBER (38) NOT NULL ,
    NOTE_INITIALE        NUMBER (5,2) NOT NULL ,
    NOTE_SURCHARGEE      NUMBER (5,2) ,
    NO_SESSION           NUMBER (1) ,
    PERS_ID_CREATION     NUMBER (38) NOT NULL ,
    PERS_ID_MODIFICATION NUMBER (38) NOT NULL ,
    D_CREATION           DATE NOT NULL ,
    D_MODIFICATION       DATE NOT NULL
  )
  LOGGING ;
COMMENT ON TABLE SCO_SCOLARITE.NOTE
IS
  'Note sur l''inscription à un composant (ap, ec, ue...) pouvant être de toute session ' ;
  COMMENT ON COLUMN SCO_SCOLARITE.NOTE.ID_NOTE
IS
  'Clef primaire' ;
  COMMENT ON COLUMN SCO_SCOLARITE.NOTE.ID_INSCRIPTION_PEDA
IS
  'Clef étrangère vers INSCRIPTION_PEDAGOGIQUE' ;
  COMMENT ON COLUMN SCO_SCOLARITE.NOTE.ID_TYPE_NOTE
IS
  'Clef etrangère vers TYPE_NOTE' ;
  COMMENT ON COLUMN SCO_SCOLARITE.NOTE.NOTE_INITIALE
IS
  'Note initiale avant surcharge éventuelle' ;
  COMMENT ON COLUMN SCO_SCOLARITE.NOTE.NOTE_SURCHARGEE
IS
  'Note surchargeant la note initiale' ;
  COMMENT ON COLUMN SCO_SCOLARITE.NOTE.NO_SESSION
IS
  'Numéro de session (1,2,...)' ;
  COMMENT ON COLUMN SCO_SCOLARITE.NOTE.PERS_ID_CREATION
IS
  'Pers_id de la personne à l''origine de la création de l''enregistrement
' ;
  COMMENT ON COLUMN SCO_SCOLARITE.NOTE.PERS_ID_MODIFICATION
IS
  'Pers_id de la personne à l''origine de la modification de l''enregistrement' ;
  COMMENT ON COLUMN SCO_SCOLARITE.NOTE.D_CREATION
IS
  'Date de création de la note' ;
  COMMENT ON COLUMN SCO_SCOLARITE.NOTE.D_MODIFICATION
IS
  'Date de modification de la note' ;
  ALTER TABLE SCO_SCOLARITE.NOTE ADD CONSTRAINT PK_NOTE PRIMARY KEY
  (
    ID_NOTE
  )
  ;
CREATE SEQUENCE SCO_SCOLARITE.NOTE_SEQ START WITH 1;


CREATE TABLE SCO_SCOLARITE.TYPE_INSCRIPTION_PEDA
  (
    ID_TYPE_INSCRIPTION_PEDA NUMBER (38) NOT NULL ,
    CODE                     VARCHAR2 (30) NOT NULL ,
    LIBELLE                  VARCHAR2 (255) NOT NULL
  )
  LOGGING ;
COMMENT ON TABLE SCO_SCOLARITE.TYPE_INSCRIPTION_PEDA
IS
  'Type d''inscription sur un composant (ap, ec, ue...) : dispensé...' ;
  COMMENT ON COLUMN SCO_SCOLARITE.TYPE_INSCRIPTION_PEDA.ID_TYPE_INSCRIPTION_PEDA
IS
  'Clef primaire ' ;
  COMMENT ON COLUMN SCO_SCOLARITE.TYPE_INSCRIPTION_PEDA.CODE
IS
  'Code du type d''inscription pédagogique' ;
  COMMENT ON COLUMN SCO_SCOLARITE.TYPE_INSCRIPTION_PEDA.LIBELLE
IS
  'Libellé du type d''inscription peda' ;
  ALTER TABLE SCO_SCOLARITE.TYPE_INSCRIPTION_PEDA ADD CONSTRAINT PK_TYPE_INSCRIPTION_PEDA PRIMARY KEY
  (
    ID_TYPE_INSCRIPTION_PEDA
  )
  ;
CREATE SEQUENCE SCO_SCOLARITE.TYPE_INSCRIPTION_PEDA_SEQ START WITH 1;


CREATE TABLE SCO_SCOLARITE.TYPE_NOTE
  (
    ID_TYPE_NOTE NUMBER (38) NOT NULL ,
    CODE         VARCHAR2 (30) NOT NULL ,
    LIBELLE      VARCHAR2 (255) NOT NULL
  )
  LOGGING ;
COMMENT ON TABLE SCO_SCOLARITE.TYPE_NOTE
IS
  'Type d''une note : calculée ou saisiee' ;
  COMMENT ON COLUMN SCO_SCOLARITE.TYPE_NOTE.ID_TYPE_NOTE
IS
  'Clef primaire de TYPE_NOTE' ;
  COMMENT ON COLUMN SCO_SCOLARITE.TYPE_NOTE.CODE
IS
  'Code du type de note' ;
  COMMENT ON COLUMN SCO_SCOLARITE.TYPE_NOTE.LIBELLE
IS
  'Libellé du type de note' ;
  ALTER TABLE SCO_SCOLARITE.TYPE_NOTE ADD CONSTRAINT PK_TYPE_NOTE PRIMARY KEY
  (
    ID_TYPE_NOTE
  )
  ;
CREATE SEQUENCE SCO_SCOLARITE.TYPE_NOTE_SEQ START WITH 1;

ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ADD CONSTRAINT FK_INSCRIPTION_PEDA_COMPOSANT FOREIGN KEY ( ID_COMPOSANT ) REFERENCES SCO_SCOLARITE.COMPOSANT ( ID_COMPOSANT ) NOT DEFERRABLE ;

ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ADD CONSTRAINT FK_INSCRIPTION_PEDA_INSC FOREIGN KEY ( ID_INSCRIPTION ) REFERENCES SCO_SCOLARITE.INSCRIPTION ( ID_INSCRIPTION ) NOT DEFERRABLE ;

ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ADD CONSTRAINT FK_INSCRIPTION_PEDA_T_INSC_P FOREIGN KEY ( ID_TYPE_INSCRIPTION_PEDA ) REFERENCES SCO_SCOLARITE.TYPE_INSCRIPTION_PEDA ( ID_TYPE_INSCRIPTION_PEDA ) NOT DEFERRABLE ;

ALTER TABLE SCO_SCOLARITE.NOTE ADD CONSTRAINT FK_NOTE_INSCRIPTION_PEDA FOREIGN KEY ( ID_INSCRIPTION_PEDA ) REFERENCES SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ( ID_INSCRIPTION_PEDA ) NOT DEFERRABLE ;

ALTER TABLE SCO_SCOLARITE.NOTE ADD CONSTRAINT FK_NOTE_TYPE_NOTE FOREIGN KEY ( ID_TYPE_NOTE ) REFERENCES SCO_SCOLARITE.TYPE_NOTE ( ID_TYPE_NOTE ) NOT DEFERRABLE ;
------------------------V20130828.144212__DDL_ajout_table_TYPE_ETUDIANT.sql-------------------------
CREATE TABLE SCO_SCOLARITE.TYPE_ETUDIANT
  (
    ID_TYPE_ETUDIANT NUMBER (38) NOT NULL ,
    CODE                     VARCHAR2 (30) NOT NULL ,
    LIBELLE                  VARCHAR2 (255) NOT NULL
  )
  LOGGING ;
COMMENT ON TABLE SCO_SCOLARITE.TYPE_ETUDIANT
IS
  'Type d''étudiant (classique, étudiant en formation continue, auditeur libre, redoublant, ...)' ;
  COMMENT ON COLUMN SCO_SCOLARITE.TYPE_ETUDIANT.ID_TYPE_ETUDIANT
IS
  'Clef primaire ' ;
  COMMENT ON COLUMN SCO_SCOLARITE.TYPE_ETUDIANT.CODE
IS
  'Code du type d''inscription pédagogique' ;
  COMMENT ON COLUMN SCO_SCOLARITE.TYPE_ETUDIANT.LIBELLE
IS
  'Libellé du type d''inscription peda' ;
  ALTER TABLE SCO_SCOLARITE.TYPE_ETUDIANT ADD CONSTRAINT PK_TYPE_ETUDIANT PRIMARY KEY
  (
    ID_TYPE_ETUDIANT
  )
  ;
CREATE SEQUENCE SCO_SCOLARITE.TYPE_ETUDIANT_SEQ START WITH 1;

ALTER TABLE SCO_SCOLARITE.INSCRIPTION ADD (TYPE_ETUDIANT NUMBER(38) NOT NULL);
COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.TYPE_ETUDIANT IS 'Clef étrangères vers TYPE_ETUDIANT';


----------------------V20130828.162115__DDL_ajout_type_etudiant_dans_table.sql----------------------
ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ADD (ID_TYPE_ETUDIANT NUMBER(38) NOT NULL);
COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.ID_TYPE_ETUDIANT IS 'Clef étrangères vers TYPE_ETUDIANT';
ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ADD CONSTRAINT FK_INSCRIPTION_PEDA_T_ETUD FOREIGN KEY (ID_TYPE_ETUDIANT) REFERENCES SCO_SCOLARITE.TYPE_ETUDIANT ( ID_TYPE_ETUDIANT) NOT DEFERRABLE ;

ALTER TABLE SCO_SCOLARITE.INSCRIPTION DROP COLUMN TYPE_ETUDIANT;

------------------------V20130828.172447__DDL_modification_table_cursus.sql-------------------------
ALTER TABLE SCO_SCOLARITE.CURSUS DROP COLUMN ACCES_TITRE;
ALTER TABLE SCO_SCOLARITE.CURSUS ADD ( ACCES_TITRE NUMBER(38) );
COMMENT ON COLUMN SCO_SCOLARITE.CURSUS.ACCES_TITRE IS 'Titre d''accès à létablissement';

------------------------V20130828.173347__DDL_modification_table_cursus2.sql------------------------
ALTER TABLE SCO_SCOLARITE.CURSUS DROP COLUMN ACCES_MENTION;
ALTER TABLE SCO_SCOLARITE.CURSUS ADD ( ACCES_MENTION NUMBER(38) );
COMMENT ON COLUMN SCO_SCOLARITE.CURSUS.ACCES_TITRE IS 'mention du titre d''accès';

----------------------V20130829.144412__DDL_modification_table_inscription.sql----------------------
ALTER TABLE SCO_SCOLARITE.INSCRIPTION DROP COLUMN REORIENTATIONT;
ALTER TABLE SCO_SCOLARITE.INSCRIPTION ADD ( REORIENTATION NUMBER(1) DEFAULT 0 );
COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.REORIENTATION IS 'Indique si la formation correspond à une ré-orientation';

------------------------V20130829.154814__DDL_modification_table_cursus.sql-------------------------
ALTER TABLE SCO_SCOLARITE.CURSUS DROP COLUMN TYPE_INSCTRIPTION;
ALTER TABLE SCO_SCOLARITE.CURSUS ADD ( TYPE_INSCRIPTION VARCHAR2(255));
COMMENT ON COLUMN SCO_SCOLARITE.CURSUS.TYPE_INSCRIPTION IS 'type d''inscription  (ES = Enseignement supérieur, Fr. = Université française, Local = Université de l''IA)';

------------------V20130926.154554__DDL_modification_colonne_inscription_peda.sql-------------------
ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE DROP CONSTRAINT FK_INSCRIPTION_PEDA_COMPOSANT;

alter table SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE rename column ID_COMPOSANT to ID_LIEN;

COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.ID_LIEN IS  'Clef étrangère vers LIEN' ;
ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ADD CONSTRAINT FK_INSCRIPTION_PEDA_LIEN FOREIGN KEY ( ID_LIEN ) REFERENCES SCO_SCOLARITE.LIEN ( ID_LIEN ) NOT DEFERRABLE ;

------------------------------V20131023.141518__DDL_Refactoring_IP.sql------------------------------
ALTER TABLE SCO_SCOLARITE.NOTE DROP CONSTRAINT FK_NOTE_INSCRIPTION_PEDA;


ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE DROP CONSTRAINT PK_INSCRIPTION_PEDAGOGIQUE;
ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE DROP CONSTRAINT UNIQ_INSCRIPTION_PEDAGOGIQUE;

alter table sco_scolarite.INSCRIPTION_PEDAGOGIQUE rename to INSCRIPTION_PEDA_ELT;

alter table sco_scolarite.INSCRIPTION_PEDA_ELT rename column ID_INSCRIPTION_PEDA to ID_INSCRIPTION_PEDA_ELT;

alter table sco_scolarite.INSCRIPTION_PEDA_ELT drop column  ID_INSCRIPTION;
alter table sco_scolarite.INSCRIPTION_PEDA_ELT drop column ID_TYPE_ETUDIANT;

alter table sco_scolarite.INSCRIPTION_PEDA_ELT add (ID_INSCRIPTION_PEDA NUMBER(38) NOT NULL);

ALTER TABLE SCO_SCOLARITE.NOTE rename column ID_INSCRIPTION_PEDA to ID_INSCRIPTION_PEDA_ELT;



COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDA_ELT.ID_INSCRIPTION_PEDA
IS
  'Clef étrangère vers INSCRIPTION_PEDAGOGIQUE' ;


ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDA_ELT ADD CONSTRAINT PK_INSCRIPTION_PEDA_ELT PRIMARY KEY
  (
    ID_INSCRIPTION_PEDA_ELT
  )
  ;
ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDA_ELT ADD CONSTRAINT UNIQ_INSCRIPTION_PEDA_ELT UNIQUE
  (
    ID_LIEN , ID_INSCRIPTION_PEDA
  )
;

ALTER TABLE SCO_SCOLARITE.NOTE ADD CONSTRAINT FK_NOTE_INSCRIPTION_PEDA_ELT
FOREIGN KEY (ID_INSCRIPTION_PEDA_ELT) REFERENCES SCO_SCOLARITE.INSCRIPTION_PEDA_ELT (ID_INSCRIPTION_PEDA_ELT) NOT DEFERRABLE ;



CREATE TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE
  (
    ID_INSCRIPTION_PEDA      NUMBER (38) NOT NULL ,
    ID_INSCRIPTION           NUMBER (38) NOT NULL ,
    ID_TYPE_ETUDIANT 		 NUMBER(38) NOT NULL,
    PERS_ID_CREATION         NUMBER (38) NOT NULL ,
    PERS_ID_MODIFICATION     NUMBER (38) NOT NULL ,
    D_CREATION               DATE NOT NULL ,
    D_MODIFICATION           DATE NOT NULL
  )
  LOGGING ;

COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.ID_INSCRIPTION_PEDA
IS
  'Clef primaire de la table' ;
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.ID_INSCRIPTION
IS
  'Clef étrangère vers INSCRIPTION' ;
  
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.ID_TYPE_ETUDIANT 
  IS 
  'Clef étrangères vers TYPE_ETUDIANT';
  
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.PERS_ID_CREATION
IS
  'Pers_id de la personne à l''origine de la création de l''enregistrement' ;
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.PERS_ID_MODIFICATION
IS
  'Pers_id de la personne à l''origine de la modification de l''enregistrement' ;
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.D_CREATION
IS
  'Date de creation de l''enregistrement.' ;
  COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE.D_MODIFICATION
IS
  'Date de la derniere modification de l''enregistrement.' ;


ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ADD CONSTRAINT PK_INSCRIPTION_PEDAGOGIQUE PRIMARY KEY
  (
    ID_INSCRIPTION_PEDA
  )
  ;


  ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ADD CONSTRAINT FK_INSCRIPTION_PEDA_T_ETUD 
  FOREIGN KEY (ID_TYPE_ETUDIANT) REFERENCES SCO_SCOLARITE.TYPE_ETUDIANT ( ID_TYPE_ETUDIANT) NOT DEFERRABLE ;

  ALTER TABLE SCO_SCOLARITE.INSCRIPTION_PEDA_ELT ADD CONSTRAINT FK_IP_ELT_INSCRIPTION_PEDA 
  FOREIGN KEY (ID_INSCRIPTION_PEDA) REFERENCES SCO_SCOLARITE.INSCRIPTION_PEDAGOGIQUE ( ID_INSCRIPTION_PEDA) NOT DEFERRABLE ;


  CREATE SEQUENCE SCO_SCOLARITE.INSCRIPTION_PEDA_ELT_SEQ START WITH 1;
----------------------------V20131029.151530__DDL_ajout_colonnes_ip.sql-----------------------------
ALTER TABLE SCO_SCOLARITE.INSCRIPTION ADD ID_PARCOURS_DIPLOME NUMBER (38);
ALTER TABLE SCO_SCOLARITE.INSCRIPTION ADD ID_PARCOURS_ANNEE NUMBER (38);

COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.ID_PARCOURS_DIPLOME
IS
  'Clef étrangère référençant le parcours du diplome' ;
COMMENT ON COLUMN SCO_SCOLARITE.INSCRIPTION.ID_PARCOURS_ANNEE
IS
  'Clef étrangère référençant le parcours de l''année du diplome' ;

ALTER TABLE SCO_SCOLARITE.INSCRIPTION ADD CONSTRAINT FK_INSCRIPTION_PARCOURS_AN FOREIGN KEY
  (
    ID_PARCOURS_ANNEE
  )
  REFERENCES SCO_SCOLARITE.PARCOURS
  (
    ID_PARCOURS
  )
  ;
ALTER TABLE SCO_SCOLARITE.INSCRIPTION ADD CONSTRAINT FK_INSCRIPTION_PARCOURS_DIP FOREIGN KEY
  (
    ID_PARCOURS_DIPLOME
  )
  REFERENCES SCO_SCOLARITE.PARCOURS
  (
    ID_PARCOURS
  )
  ;
---------------------------V20131105.153504__DDL_Ajout_Infos_Periode.sql----------------------------


CREATE TABLE SCO_SCOLARITE.TYPE_PERIODE
  (
    ID_TYPE_PERIODE 		 NUMBER (38) NOT NULL ,
    CODE                     VARCHAR2 (30) NOT NULL ,
    LIBELLE                  VARCHAR2 (255) NOT NULL
  )
  LOGGING ;

COMMENT ON TABLE SCO_SCOLARITE.TYPE_PERIODE IS 'Type de période (année, semestre)' ;
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_PERIODE.ID_TYPE_PERIODE IS 'Clef primaire ' ;
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_PERIODE.CODE IS 'Code du type de période' ;
COMMENT ON COLUMN SCO_SCOLARITE.TYPE_PERIODE.LIBELLE IS 'Libellé du type de période' ;
  
ALTER TABLE SCO_SCOLARITE.TYPE_PERIODE ADD CONSTRAINT PK_TYPE_PERIODE PRIMARY KEY
  (
    ID_TYPE_PERIODE
  );

CREATE SEQUENCE SCO_SCOLARITE.TYPE_PERIODE_SEQ START WITH 1;

ALTER TABLE SCO_SCOLARITE.PERIODE ADD ORDRE NUMBER (38);
ALTER TABLE SCO_SCOLARITE.PERIODE ADD ID_TYPE_PERIODE NUMBER (38);

COMMENT ON COLUMN SCO_SCOLARITE.PERIODE.ID_TYPE_PERIODE IS 'Clef étrangères vers TYPE_PERIODE';

ALTER TABLE SCO_SCOLARITE.PERIODE ADD CONSTRAINT FK_PERIODE_TYPE_PERIODE FOREIGN KEY
(
	ID_TYPE_PERIODE
)
REFERENCES SCO_SCOLARITE.TYPE_PERIODE
(
	ID_TYPE_PERIODE
);


